#!/bin/sh
# Try to figure out the version of linux we are using.
# Takes no arguments and outputs the version of the
# linux distribution.

# If we have lsb_release, use it
[ -x /usr/bin/lsb_release -o -x /bin/lsb_release ] && exec lsb_release -si

# Safe fallback
for dist in fedora-release mandrake-release turbolinux-release linuxppc-release yellowdog-release aurora-release SuSE-release redhat-release-as redhat-release-aw redhat-release-es redhat-release-ws redhat-release 
do
	if [ -f /etc/$dist ]
	then
		echo $dist | sed 's/-release//'
		exit 0
	fi
done

if [ -f /etc/.issue ]
then
	echo caldera
	exit 0
fi

echo "unknown"
exit 1
