Name: autoupdate
Summary: AutoUpdate, a simple perl script to keep your system up2date.
Version: 5.2.12
Release: 1
Vendor: Gerald Teschl <autoupdate@mat.univie.ac.at>
License: GPL
Group: Applications/System
Buildroot: %{_tmppath}/%{name}-%{version}-root
Source: ftp://ftp.mat.univie.ac.at/pub/teschl/%{name}/%{name}-%{version}-%{release}.tar.gz
URL: http://www.mat.univie.ac.at/~gerald/ftp/%{name}/
Requires: perl, rpm, sh-utils
AutoReq: no
#Requires: perl, perl(Net::FTP), perl(DB_File), rpm, sh-utils
Prefix: %{_prefix}
BuildArch: noarch

%description
AutoUpdate is a simple Perl script which performs a task similar to RedHat's
up2date or autorpm. It can be used to automatically download and upgrade rpms
from different ftp sites. Moreover, it can also be used to keep a server with
a customized (RedHat) distribution plus all clients up to date.

%package cfg-redhat
Summary: AutoUpdate configuation file for RedHat
Group: Applications/System
Requires: autoupdate
Obsoletes: autoupdate-cfg-powertools

%description cfg-redhat
This package contains a configuration file for using AutoUpdate with
Red Hat Linux.

%package cfg-fedora
Summary: AutoUpdate configuation file for Fedora
Group: Applications/System
Requires: autoupdate
Obsoletes: autoupdate-cfg-powertools

%description cfg-fedora
This package contains a configuration file for using AutoUpdate with
Fedora Linux.

%package cfg-autoupdate
Summary: AutoUpdate configuation file for AutoUpdate
Group: Applications/System
Requires: autoupdate

%description cfg-autoupdate
This package contains a configuration file for automatical AutoUpdate
updates.

%package cfg-caldera
Summary: AutoUpdate configuation file for Caldera
Group: Applications/System
Requires: autoupdate

%description cfg-caldera
This package contains a configuration file for using AutoUpdate with
Caldera Linux.

%package cfg-mandrake
Summary: AutoUpdate configuation file for Mandrake
Group: Applications/System
Requires: autoupdate

%description cfg-mandrake
This package contains a configuration file for using AutoUpdate with
Linux Mandrake.

%package cfg-suse
Summary: AutoUpdate configuation file for SuSE
Group: Applications/System
Requires: autoupdate

%description cfg-suse
This package contains a configuration file for using AutoUpdate with
SuSE Linux.

%package cfg-yellowdog
Summary: AutoUpdate configuation file for YellowDog
Group: Applications/System
Requires: autoupdate

%description cfg-yellowdog
This package contains a configuration file for using AutoUpdate with
YellowDog Linux.


%prep            
rm -rf %{buildroot}
%setup -q

%install
mkdir -p %{buildroot}/%{_sysconfdir}
mkdir -p %{buildroot}%{_var}/{log,spool/autoupdate}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_libdir}/perl5/site_perl
mkdir -p %{buildroot}%{_mandir}/man8
touch %{buildroot}%{_var}/log/autoupdate.log
cp autoupdate %{buildroot}%{_sbindir}/autoupdate
cp -a autoupdate.pm %{buildroot}%{_libdir}/perl5/site_perl/autoupdate
cp autoupdate.8.gz %{buildroot}%{_mandir}/man8/autoupdate.8.gz
cp -a autoupdate.d %{buildroot}/%{_sysconfdir}/
rm -f %{buildroot}/%{_sysconfdir}/autoupdate.d/{rhsa,texmacs,webmin}.dld
rm -f %{buildroot}/%{_sysconfdir}/autoupdate.d/sourceforge.get

#cp autoupdate.logrotate %{buildroot}/etc/logrotate.d/autoupdate
for name in auto{upd,ins,dld,get,mrg,prg}
do
 ln -s autoupdate %{buildroot}%{_sbindir}/$name
 ln -s autoupdate.8.gz %{buildroot}%{_mandir}/man8/$name.8.gz
done

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc LICENSE CHANGELOG general.html install.html config.html faq.html
%dir /etc/autoupdate.d/
%dir %{_var}/spool/autoupdate
%dir %{_libdir}/perl5/site_perl/autoupdate
%config(noreplace) /etc/autoupdate.d/autoupdate.conf
#%config /etc/logrotate.d/autoupdate
%ghost %{_var}/log/autoupdate.log
%{_sysconfdir}/autoupdate.d/distversion.sh
%{_sysconfdir}/autoupdate.d/distname.sh
%{_sysconfdir}/autoupdate.d/rebuild.sh
%{_sbindir}/autoupdate
%{_sbindir}/autodld
%{_sbindir}/autoget
%{_sbindir}/autoupd
%{_sbindir}/autoins
%{_sbindir}/automrg
%{_sbindir}/autoprg
%{_libdir}/perl5/site_perl/autoupdate/*
%{_mandir}/man8/autoupdate.8*
%{_mandir}/man8/autodld.8*
%{_mandir}/man8/autoget.8*
%{_mandir}/man8/autoupd.8*
%{_mandir}/man8/autoins.8*
%{_mandir}/man8/automrg.8*
%{_mandir}/man8/autoprg.8*

%files cfg-redhat
%defattr(-,root,root)
%config(noreplace) /etc/autoupdate.d/redhat.dld
%config(noreplace) /etc/autoupdate.d/redhat.get
%config(noreplace) /etc/autoupdate.d/freshrpms.get

%files cfg-fedora
%defattr(-,root,root)
%config(noreplace) /etc/autoupdate.d/fedora.dld
%config(noreplace) /etc/autoupdate.d/fedora.get

%files cfg-autoupdate
%defattr(-,root,root)
%config(noreplace) /etc/autoupdate.d/autoupdate.dld

%files cfg-caldera
%defattr(-,root,root)
%config(noreplace) /etc/autoupdate.d/caldera.dld

%files cfg-mandrake
%defattr(-,root,root)
%config(noreplace) /etc/autoupdate.d/mandrake.dld

%files cfg-suse
%defattr(-,root,root)
%config(noreplace) /etc/autoupdate.d/suse.dld

%files cfg-yellowdog
%defattr(-,root,root)
%config(noreplace) /etc/autoupdate.d/yellowdog.dld
%config(noreplace) /etc/autoupdate.d/yellowdog.get

%changelog
* Tue May 31 2001 Gerald Teschl <Gerald.Teschl@univie.ac.at>
- rpm rebuild
